<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-base-info.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mcm-base-info_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-base-info.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-base-info_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a9ddb75962d95d165cbe23639f2c61adf">    1</a></span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a52fef7d34e37f56f3bf4b24d505d9f82">    9</a></span>&#160;<span class="preprocessor">#ifndef _MCM_BASE_INFO_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a4a18bc74b9c42ae58d0fa1cb16d293ab">   10</a></span>&#160;<span class="preprocessor">#define _MCM_BASE_INFO_H_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a4a4028ff21cfae1a75a198d2878024a8">   11</a></span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06c1031cd435f4713caabd44ed1ce93b">   12</a></span>&#160;<span class="preprocessor">#include &lt;inttypes.h&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a5708f0f5b4ab7c3f40781add40ffeae1">   13</a></span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a6575f7791ab6399c7e626feba549f427">   17</a></span>&#160;<span class="keyword">enum</span> {</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85">   18</a></span>&#160;    <a class="code" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85">MCM_SUCCESS</a>     = 0, </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad">   19</a></span>&#160;    <a class="code" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad">MCM_GENERIC_ERR</a> = 1, </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142">   20</a></span>&#160;    <a class="code" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142">MCM_ENOMEM</a>      = 2, </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d">   21</a></span>&#160;    <a class="code" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d">MCM_ENODEV</a>      = 3, </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354">   22</a></span>&#160;    <a class="code" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354">MCM_EINVAL</a>      = 4, </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;};</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structmcm__object__info.html">   28</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__object__info.html">mcm_object_info</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="structmcm__object__info.html#a88cde4f12a226fd4d835a680e6dc9a7a">   29</a></span>&#160;    <span class="keywordtype">char</span>                   *<a class="code" href="structmcm__object__info.html#a88cde4f12a226fd4d835a680e6dc9a7a">interface_name</a>; </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="structmcm__object__info.html#a8b6af08ddea0fb36aab47ee89b5f6c57">   30</a></span>&#160;    <span class="keywordtype">char</span>                   *<a class="code" href="structmcm__object__info.html#a8b6af08ddea0fb36aab47ee89b5f6c57">device_name</a>;    </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structmcm__object__info.html#a71b958249adff7eae518d6479e6a866d">   31</a></span>&#160;    <span class="keywordtype">char</span>                   *<a class="code" href="structmcm__object__info.html#a71b958249adff7eae518d6479e6a866d">device_type</a>;    </div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="structmcm__object__info.html#ab5d6ca326317d7141a502fdb7c9f6085">   32</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structmcm__object__info.html">mcm_object_info</a> *<a class="code" href="structmcm__object__info.html#ab5d6ca326317d7141a502fdb7c9f6085">next</a>;           </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;};</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__object__info.html">mcm_object_info</a> <a class="code" href="structmcm__object__info.html">mcm_object_info</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="structmcm__property__info.html">   40</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__property__info.html">mcm_property_info</a> {</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="structmcm__property__info.html#a4f894b1438de23d480b580c58338e2fb">   41</a></span>&#160;    <span class="keywordtype">char</span> *<a class="code" href="structmcm__property__info.html#a4f894b1438de23d480b580c58338e2fb">propertyName</a>;  </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structmcm__property__info.html#a8c75a7be69b4c2ccf30135b066466a50">   42</a></span>&#160;    <span class="keywordtype">char</span> *<a class="code" href="structmcm__property__info.html#a8c75a7be69b4c2ccf30135b066466a50">propertyValue</a>; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__property__info.html">mcm_property_info</a> <a class="code" href="structmcm__property__info.html">mcm_property_info</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="structmcm__property__info__linked__list.html">   50</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> {</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="structmcm__property__info__linked__list.html#adb99f617acca27b84563f55df4771ee5">   51</a></span>&#160;    <span class="keywordtype">char</span>                                 *<a class="code" href="structmcm__property__info__linked__list.html#adb99f617acca27b84563f55df4771ee5">propertyName</a>;  </div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="structmcm__property__info__linked__list.html#a374a88ad8e09b9f635e7df63507c9151">   52</a></span>&#160;    <span class="keywordtype">char</span>                                 *<a class="code" href="structmcm__property__info__linked__list.html#a374a88ad8e09b9f635e7df63507c9151">propertyValue</a>; </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="structmcm__property__info__linked__list.html#ab6cd4922fae976165ec15112ee8fd4e4">   53</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> *<a class="code" href="structmcm__property__info__linked__list.html#ab6cd4922fae976165ec15112ee8fd4e4">next</a>;          </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> <a class="code" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="structmcm__interface__info.html">   61</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__interface__info.html">mcm_interface_info</a> {</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="structmcm__interface__info.html#a759d3365c1eb6c7e68d42a4e650eb8be">   62</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="structmcm__interface__info.html#a759d3365c1eb6c7e68d42a4e650eb8be">interface_name</a>[64]; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="structmcm__interface__info.html#a6042efb8eb4b2bb2a238bdc4cd6fb5e1">   63</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="structmcm__interface__info.html#a6042efb8eb4b2bb2a238bdc4cd6fb5e1">device_name</a>[16];    </div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="structmcm__interface__info.html#a794c93cb5b62cf3926e3f7074c8e5a08">   64</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="structmcm__interface__info.html#a794c93cb5b62cf3926e3f7074c8e5a08">device_type</a>[16];    </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__interface__info.html">mcm_interface_info</a> <a class="code" href="structmcm__interface__info.html">mcm_interface_info</a>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="structmcm__network__info.html">   72</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__network__info.html">mcm_network_info</a> {</div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a8fad6727994d48c65035da33483fb35e">   73</a></span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="structmcm__network__info.html#a8fad6727994d48c65035da33483fb35e">enabled</a>;          </div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a7ab60becabbd7f70e7775875338d3ea0">   74</a></span>&#160;    uint32_t <a class="code" href="structmcm__network__info.html#a7ab60becabbd7f70e7775875338d3ea0">wan_priority</a>;     </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a249f6684e118b42c7967507e9746a48d">   75</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#a249f6684e118b42c7967507e9746a48d">name</a>[64];         </div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a4f978dd9876acda2c1d25fa1191d3505">   76</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#a4f978dd9876acda2c1d25fa1191d3505">device_type</a>[16];  </div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#aa23031d671bb905f72186fe8edc4a377">   77</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#aa23031d671bb905f72186fe8edc4a377">device_name</a>[16];  </div>
<div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#aa3fe6ceda47f2ff6983dae7b071029f0">   78</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#aa3fe6ceda47f2ff6983dae7b071029f0">network_type</a>[16]; </div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a632377fbe1f9ded216adf3dbd9145a45">   79</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#a632377fbe1f9ded216adf3dbd9145a45">ipv4_method</a>[16];  </div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#acad52ce45f13aa0339eedc4be9580852">   80</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#acad52ce45f13aa0339eedc4be9580852">ipv6_method</a>[16];  </div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a7511185a2f1e9bcda5ce4517d06a2e12">   81</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#a7511185a2f1e9bcda5ce4517d06a2e12">mac_address</a>[64];  </div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="structmcm__network__info.html#a33de69fdf8aa465daabf0c16124958e6">   82</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__info.html#a33de69fdf8aa465daabf0c16124958e6">err_reason</a>[200];  </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__network__info.html">mcm_network_info</a> <a class="code" href="structmcm__network__info.html">mcm_network_info</a>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="structmcm__network__status.html">   90</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__network__status.html">mcm_network_status</a> {</div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#aa6089a02ca87959574e86467e3e7fecb">   91</a></span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="structmcm__network__status.html#aa6089a02ca87959574e86467e3e7fecb">default_route</a>;     </div>
<div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a5e5ba0dd94686af1f6279fe5edac1892">   92</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a5e5ba0dd94686af1f6279fe5edac1892">ipv4_address</a>[16];  </div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a18943dc3ad64e5acbe8e7bc6817b7e90">   93</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a18943dc3ad64e5acbe8e7bc6817b7e90">ipv4_netmask</a>[16];  </div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a1553cbed186cacfd0409340e64dd7c25">   94</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a1553cbed186cacfd0409340e64dd7c25">ipv4_gateway</a>[16];  </div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a06b64b4d2114d6df25a6a06c030427a5">   95</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a06b64b4d2114d6df25a6a06c030427a5">ipv4_dns</a>[2][16];   </div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a4a655ad20866a05daacd4d2024b67a2e">   96</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a4a655ad20866a05daacd4d2024b67a2e">ipv6_address</a>[64];  </div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a90bfb32249407e20ecdc6861a34f46ab">   97</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a90bfb32249407e20ecdc6861a34f46ab">ipv6_netmask</a>[64];  </div>
<div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#a1e07a23f6e2e446ef2c33d9d74ea6137">   98</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#a1e07a23f6e2e446ef2c33d9d74ea6137">ipv6_gateway</a>[64];  </div>
<div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#aba6e95f01fc58cdc79394a1aec16d5c8">   99</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__network__status.html#aba6e95f01fc58cdc79394a1aec16d5c8">ipv6_dns</a>[2][64];   </div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="structmcm__network__status.html#ae23b0791b194952a55a92820731a998d">  100</a></span>&#160;    uint32_t <a class="code" href="structmcm__network__status.html#ae23b0791b194952a55a92820731a998d">connection_status</a>; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__network__status.html">mcm_network_status</a> <a class="code" href="structmcm__network__status.html">mcm_network_status</a>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="structmcm__ethernet__info.html">  108</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__ethernet__info.html">mcm_ethernet_info</a> {</div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="structmcm__ethernet__info.html#ab0a1a9a5ec460c2eab059b20ca060d0f">  109</a></span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="structmcm__ethernet__info.html#ab0a1a9a5ec460c2eab059b20ca060d0f">link_detected</a>; </div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="structmcm__ethernet__info.html#ae04231ce43ad5c030cf42404d9c87378">  110</a></span>&#160;    uint32_t <a class="code" href="structmcm__ethernet__info.html#ae04231ce43ad5c030cf42404d9c87378">link_speed</a>;    </div>
<div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="structmcm__ethernet__info.html#a46966ce81efd5e320fb4c65c58df2559">  111</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__ethernet__info.html#a46966ce81efd5e320fb4c65c58df2559">duplex</a>[16];    </div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="structmcm__ethernet__info.html#aac0b6c9827d0ae7ad162cd19ed5cf058">  112</a></span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="structmcm__ethernet__info.html#aac0b6c9827d0ae7ad162cd19ed5cf058">dhcp_server</a>;   </div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__ethernet__info.html">mcm_ethernet_info</a> <a class="code" href="structmcm__ethernet__info.html">mcm_ethernet_info</a>;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html">  120</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__wifi__info.html">mcm_wifi_info</a> {</div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#ac8681eef57136344df55f2cfd40ead34">  121</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#ac8681eef57136344df55f2cfd40ead34">bssid</a>[32];          </div>
<div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a955deb41eace0d3e7bc08b90e5187b5e">  122</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#a955deb41eace0d3e7bc08b90e5187b5e">hwmode</a>[16];         </div>
<div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a616a41aa35e271b13dde8f2538873f17">  123</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#a616a41aa35e271b13dde8f2538873f17">frequency</a>[16];      </div>
<div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#af30a622f61d035104cb7486964cbebc7">  124</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#af30a622f61d035104cb7486964cbebc7">operation_mode</a>[16]; </div>
<div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a2d5f29437ca14ce27bd3c90ca46938e7">  125</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#a2d5f29437ca14ce27bd3c90ca46938e7">ssid</a>[40];           </div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a98f8506389f0e5da3b990656047404e4">  126</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#a98f8506389f0e5da3b990656047404e4">secure_mode</a>[16];    </div>
<div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#ac3d7ef6a7074b5af4e3b39318f4293d7">  127</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__info.html#ac3d7ef6a7074b5af4e3b39318f4293d7">signal</a>[16];         </div>
<div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a4a8c8414c1cb3936442c91298a54cb83">  128</a></span>&#160;    uint32_t <a class="code" href="structmcm__wifi__info.html#a4a8c8414c1cb3936442c91298a54cb83">channel</a>;            </div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="structmcm__wifi__info.html#a0dc265af3f01642016b6c2fea3f47b97">  129</a></span>&#160;    <span class="keywordtype">bool</span>     <a class="code" href="structmcm__wifi__info.html#a0dc265af3f01642016b6c2fea3f47b97">broadcast</a>;          </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__wifi__info.html">mcm_wifi_info</a> <a class="code" href="structmcm__wifi__info.html">mcm_wifi_info</a>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html">  137</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__modem__info.html">mcm_modem_info</a> {</div>
<div class="line"><a name="l00138"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a1740860ed66e5bd075efb2edaf871399">  138</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a1740860ed66e5bd075efb2edaf871399">cell_id</a>[16];       </div>
<div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a68f8bb73deb7804109ecc3226cc0f253">  139</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a68f8bb73deb7804109ecc3226cc0f253">device_imei</a>[16];   </div>
<div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a5be7d34fa01685c6aaf929ed05245226">  140</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a5be7d34fa01685c6aaf929ed05245226">network_rat</a>[16];   </div>
<div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a6f26588354e963ac73118a7a7accdcb6">  141</a></span>&#160;    <span class="keywordtype">char</span>     <span class="keyword">operator</span>[32];      </div>
<div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a43af76995a662081cfd4dcf84b3c3069">  142</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a43af76995a662081cfd4dcf84b3c3069">sim_iccid</a>[32];     </div>
<div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#af459e1c64a5c79b5fd1beb4aa6c51361">  143</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#af459e1c64a5c79b5fd1beb4aa6c51361">sim_imsi</a>[16];      </div>
<div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a1bfc9ca217a1f7ff211f9cf2bea72a4f">  144</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a1bfc9ca217a1f7ff211f9cf2bea72a4f">taclac</a>[16];        </div>
<div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a253299cd4ce7b8ca1820ea6fa28cbb9d">  145</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a253299cd4ce7b8ca1820ea6fa28cbb9d">pin_retries</a>;       </div>
<div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a01a3b89aec45fe3d7a2203e8a629df42">  146</a></span>&#160;    uint32_t <a class="code" href="structmcm__modem__info.html#a01a3b89aec45fe3d7a2203e8a629df42">signal_strength</a>;   </div>
<div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a77d71118b5d930ca2f8b6a6a65d9ffda">  147</a></span>&#160;    uint32_t <a class="code" href="structmcm__modem__info.html#a77d71118b5d930ca2f8b6a6a65d9ffda">sim_slot</a>;          </div>
<div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a516cdcb26f55816e6a760c168db7fae7">  148</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a516cdcb26f55816e6a760c168db7fae7">modem_state</a>;       </div>
<div class="line"><a name="l00149"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a61679b42ca66eb3ce83c2215b484ce3b">  149</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a61679b42ca66eb3ce83c2215b484ce3b">modem_name</a>[64];    </div>
<div class="line"><a name="l00150"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a1f2b316c1888c57b23787361af56752e">  150</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__modem__info.html#a1f2b316c1888c57b23787361af56752e">modem_version</a>[64]; </div>
<div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#aad28ac10c9948b450f48f10b362fc450">  151</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#aad28ac10c9948b450f48f10b362fc450">umts_rssi</a>;         </div>
<div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#aa8068f0cee56b44687d574f34d313501">  152</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#aa8068f0cee56b44687d574f34d313501">umts_ecio</a>;         </div>
<div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a5d12e7233fd54d1be30b3e4daf5bad00">  153</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a5d12e7233fd54d1be30b3e4daf5bad00">lte_rsrp</a>;          </div>
<div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a07baac4587e4648b14672b280c4af366">  154</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a07baac4587e4648b14672b280c4af366">lte_rssnr</a>;         </div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a518e283b3db6a55a155696f519533d52">  155</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a518e283b3db6a55a155696f519533d52">nr_rsrp</a>;           </div>
<div class="line"><a name="l00156"></a><span class="lineno"><a class="line" href="structmcm__modem__info.html#a9a93a0fff610bb61550adced4a086ff7">  156</a></span>&#160;    int32_t  <a class="code" href="structmcm__modem__info.html#a9a93a0fff610bb61550adced4a086ff7">nr_snr</a>;            </div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160; </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__modem__info.html">mcm_modem_info</a> <a class="code" href="structmcm__modem__info.html">mcm_modem_info</a>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160; </div>
<div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html">  164</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__wifi__ap.html">mcm_wifi_ap</a> {</div>
<div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#af8e24790203a26af72faca89d5796eb3">  165</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__ap.html#af8e24790203a26af72faca89d5796eb3">ssid</a>[40];            </div>
<div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#ada54e13a310979ac1b9cc5a0e99eda1c">  166</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__ap.html#ada54e13a310979ac1b9cc5a0e99eda1c">bssid</a>[32];           </div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#a227e10e3aefa6508882654e931f1e93e">  167</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__ap.html#a227e10e3aefa6508882654e931f1e93e">encryption_type</a>[32]; </div>
<div class="line"><a name="l00168"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#a0129252c298006d15b8110cac1e343fd">  168</a></span>&#160;    uint32_t <a class="code" href="structmcm__wifi__ap.html#a0129252c298006d15b8110cac1e343fd">signal_strength</a>;     </div>
<div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#a2880357f0464e0838d0ca5ba03ebc4cf">  169</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__wifi__ap.html#a2880357f0464e0838d0ca5ba03ebc4cf">frequency</a>[16];       </div>
<div class="line"><a name="l00170"></a><span class="lineno"><a class="line" href="structmcm__wifi__ap.html#a2e1a04f7389253ee1a17c2b76027b641">  170</a></span>&#160;    int32_t  <a class="code" href="structmcm__wifi__ap.html#a2e1a04f7389253ee1a17c2b76027b641">rssi</a>;                </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160; </div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__wifi__ap.html">mcm_wifi_ap</a> <a class="code" href="structmcm__wifi__ap.html">mcm_wifi_ap</a>;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div>
<div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="structmcm__profiles.html">  178</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__profiles.html">mcm_profiles</a> {</div>
<div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="structmcm__profiles.html#aab03bd9eba8df0e882aca57192b2f99d">  179</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="structmcm__profiles.html#aab03bd9eba8df0e882aca57192b2f99d">profile_name</a>[32]; </div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160; </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__profiles.html">mcm_profiles</a> <a class="code" href="structmcm__profiles.html">mcm_profiles</a>;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160; </div>
<div class="line"><a name="l00187"></a><span class="lineno"><a class="line" href="structmcm__datausage__info.html">  187</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a> {</div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="structmcm__datausage__info.html#aada7adbbd22e5a473568fb34cb511af9">  188</a></span>&#160;    uint32_t <a class="code" href="structmcm__datausage__info.html#aada7adbbd22e5a473568fb34cb511af9">tx</a>; </div>
<div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="structmcm__datausage__info.html#af9221bbbef568ba5f274c5458b0300ea">  189</a></span>&#160;    uint32_t <a class="code" href="structmcm__datausage__info.html#af9221bbbef568ba5f274c5458b0300ea">rx</a>; </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; </div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a> <a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a>;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div>
<div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="structmcm__diag__info.html">  197</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__diag__info.html">mcm_diag_info</a> {</div>
<div class="line"><a name="l00198"></a><span class="lineno"><a class="line" href="structmcm__diag__info.html#a9f47dd3f659a45b143ef7fd9f6c83d84">  198</a></span>&#160;    uint32_t <a class="code" href="structmcm__diag__info.html#a9f47dd3f659a45b143ef7fd9f6c83d84">diag_state</a>;   </div>
<div class="line"><a name="l00199"></a><span class="lineno"><a class="line" href="structmcm__diag__info.html#aff3f31c1330aa5bc2268786989bde5a5">  199</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__diag__info.html#aff3f31c1330aa5bc2268786989bde5a5">message</a>[512]; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__diag__info.html">mcm_diag_info</a> <a class="code" href="structmcm__diag__info.html">mcm_diag_info</a>;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00207"></a><span class="lineno"><a class="line" href="structmcm__upgrade__info.html">  207</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structmcm__upgrade__info.html">mcm_upgrade_info</a> {</div>
<div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="structmcm__upgrade__info.html#a3c745f5922345546ca94ee6c6613dfa9">  208</a></span>&#160;    uint32_t <a class="code" href="structmcm__upgrade__info.html#a3c745f5922345546ca94ee6c6613dfa9">state</a>;        </div>
<div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="structmcm__upgrade__info.html#a633a2cef9ded9ff0f4dde4e1523d5df8">  209</a></span>&#160;    <span class="keywordtype">char</span>     <a class="code" href="structmcm__upgrade__info.html#a633a2cef9ded9ff0f4dde4e1523d5df8">message</a>[512]; </div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;} __attribute__((packed));</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structmcm__upgrade__info.html">mcm_upgrade_info</a> <a class="code" href="structmcm__upgrade__info.html">mcm_upgrade_info</a>;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160; </div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<span class="keywordtype">void</span> <a class="code" href="mcm-base-info_8h.html#ac2864741e24687afe650c319ad1c6d31">mcm_free_property_info</a>(<span class="keywordtype">int</span> arr_len, <a class="code" href="structmcm__property__info.html">mcm_property_info</a> *info);</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160; </div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;<span class="keywordtype">char</span> *</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<a class="code" href="mcm-base-info_8h.html#a0312ffbc031c805ab82db57a4392e6d6">mcm_get_error_message</a>(<span class="keywordtype">int</span> error_num);</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160; </div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _MCM_BASE_INFO_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="amcm-base-info_8h_html_a0312ffbc031c805ab82db57a4392e6d6"><div class="ttname"><a href="mcm-base-info_8h.html#a0312ffbc031c805ab82db57a4392e6d6">mcm_get_error_message</a></div><div class="ttdeci">char * mcm_get_error_message(int error_num)</div><div class="ttdoc">A help function for propertyInfo_sub appended to propertyInfo.</div><div class="ttdef"><b>Definition:</b> mcm-base-info.c:438</div></div>
<div class="ttc" id="amcm-base-info_8h_html_a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85"><div class="ttname"><a href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85">MCM_SUCCESS</a></div><div class="ttdeci">@ MCM_SUCCESS</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:18</div></div>
<div class="ttc" id="amcm-base-info_8h_html_a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142"><div class="ttname"><a href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142">MCM_ENOMEM</a></div><div class="ttdeci">@ MCM_ENOMEM</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:20</div></div>
<div class="ttc" id="amcm-base-info_8h_html_a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad"><div class="ttname"><a href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad">MCM_GENERIC_ERR</a></div><div class="ttdeci">@ MCM_GENERIC_ERR</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:19</div></div>
<div class="ttc" id="amcm-base-info_8h_html_a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d"><div class="ttname"><a href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d">MCM_ENODEV</a></div><div class="ttdeci">@ MCM_ENODEV</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:21</div></div>
<div class="ttc" id="amcm-base-info_8h_html_a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354"><div class="ttname"><a href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354">MCM_EINVAL</a></div><div class="ttdeci">@ MCM_EINVAL</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:22</div></div>
<div class="ttc" id="amcm-base-info_8h_html_ac2864741e24687afe650c319ad1c6d31"><div class="ttname"><a href="mcm-base-info_8h.html#ac2864741e24687afe650c319ad1c6d31">mcm_free_property_info</a></div><div class="ttdeci">void mcm_free_property_info(int arr_len, mcm_property_info *info)</div><div class="ttdoc">A help function for properies array free.</div><div class="ttdef"><b>Definition:</b> mcm-base-info.c:376</div></div>
<div class="ttc" id="astructmcm__datausage__info_html"><div class="ttname"><a href="structmcm__datausage__info.html">mcm_datausage_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:187</div></div>
<div class="ttc" id="astructmcm__datausage__info_html_aada7adbbd22e5a473568fb34cb511af9"><div class="ttname"><a href="structmcm__datausage__info.html#aada7adbbd22e5a473568fb34cb511af9">mcm_datausage_info::tx</a></div><div class="ttdeci">uint32_t tx</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:188</div></div>
<div class="ttc" id="astructmcm__datausage__info_html_af9221bbbef568ba5f274c5458b0300ea"><div class="ttname"><a href="structmcm__datausage__info.html#af9221bbbef568ba5f274c5458b0300ea">mcm_datausage_info::rx</a></div><div class="ttdeci">uint32_t rx</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:189</div></div>
<div class="ttc" id="astructmcm__diag__info_html"><div class="ttname"><a href="structmcm__diag__info.html">mcm_diag_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:197</div></div>
<div class="ttc" id="astructmcm__diag__info_html_a9f47dd3f659a45b143ef7fd9f6c83d84"><div class="ttname"><a href="structmcm__diag__info.html#a9f47dd3f659a45b143ef7fd9f6c83d84">mcm_diag_info::diag_state</a></div><div class="ttdeci">uint32_t diag_state</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:198</div></div>
<div class="ttc" id="astructmcm__diag__info_html_aff3f31c1330aa5bc2268786989bde5a5"><div class="ttname"><a href="structmcm__diag__info.html#aff3f31c1330aa5bc2268786989bde5a5">mcm_diag_info::message</a></div><div class="ttdeci">char message[512]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:199</div></div>
<div class="ttc" id="astructmcm__ethernet__info_html"><div class="ttname"><a href="structmcm__ethernet__info.html">mcm_ethernet_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:108</div></div>
<div class="ttc" id="astructmcm__ethernet__info_html_a46966ce81efd5e320fb4c65c58df2559"><div class="ttname"><a href="structmcm__ethernet__info.html#a46966ce81efd5e320fb4c65c58df2559">mcm_ethernet_info::duplex</a></div><div class="ttdeci">char duplex[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:111</div></div>
<div class="ttc" id="astructmcm__ethernet__info_html_aac0b6c9827d0ae7ad162cd19ed5cf058"><div class="ttname"><a href="structmcm__ethernet__info.html#aac0b6c9827d0ae7ad162cd19ed5cf058">mcm_ethernet_info::dhcp_server</a></div><div class="ttdeci">bool dhcp_server</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:112</div></div>
<div class="ttc" id="astructmcm__ethernet__info_html_ab0a1a9a5ec460c2eab059b20ca060d0f"><div class="ttname"><a href="structmcm__ethernet__info.html#ab0a1a9a5ec460c2eab059b20ca060d0f">mcm_ethernet_info::link_detected</a></div><div class="ttdeci">bool link_detected</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:109</div></div>
<div class="ttc" id="astructmcm__ethernet__info_html_ae04231ce43ad5c030cf42404d9c87378"><div class="ttname"><a href="structmcm__ethernet__info.html#ae04231ce43ad5c030cf42404d9c87378">mcm_ethernet_info::link_speed</a></div><div class="ttdeci">uint32_t link_speed</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:110</div></div>
<div class="ttc" id="astructmcm__interface__info_html"><div class="ttname"><a href="structmcm__interface__info.html">mcm_interface_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:61</div></div>
<div class="ttc" id="astructmcm__interface__info_html_a6042efb8eb4b2bb2a238bdc4cd6fb5e1"><div class="ttname"><a href="structmcm__interface__info.html#a6042efb8eb4b2bb2a238bdc4cd6fb5e1">mcm_interface_info::device_name</a></div><div class="ttdeci">char device_name[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:63</div></div>
<div class="ttc" id="astructmcm__interface__info_html_a759d3365c1eb6c7e68d42a4e650eb8be"><div class="ttname"><a href="structmcm__interface__info.html#a759d3365c1eb6c7e68d42a4e650eb8be">mcm_interface_info::interface_name</a></div><div class="ttdeci">char interface_name[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:62</div></div>
<div class="ttc" id="astructmcm__interface__info_html_a794c93cb5b62cf3926e3f7074c8e5a08"><div class="ttname"><a href="structmcm__interface__info.html#a794c93cb5b62cf3926e3f7074c8e5a08">mcm_interface_info::device_type</a></div><div class="ttdeci">char device_type[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:64</div></div>
<div class="ttc" id="astructmcm__modem__info_html"><div class="ttname"><a href="structmcm__modem__info.html">mcm_modem_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:137</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a01a3b89aec45fe3d7a2203e8a629df42"><div class="ttname"><a href="structmcm__modem__info.html#a01a3b89aec45fe3d7a2203e8a629df42">mcm_modem_info::signal_strength</a></div><div class="ttdeci">uint32_t signal_strength</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:146</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a07baac4587e4648b14672b280c4af366"><div class="ttname"><a href="structmcm__modem__info.html#a07baac4587e4648b14672b280c4af366">mcm_modem_info::lte_rssnr</a></div><div class="ttdeci">int32_t lte_rssnr</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:154</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a1740860ed66e5bd075efb2edaf871399"><div class="ttname"><a href="structmcm__modem__info.html#a1740860ed66e5bd075efb2edaf871399">mcm_modem_info::cell_id</a></div><div class="ttdeci">char cell_id[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:138</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a1bfc9ca217a1f7ff211f9cf2bea72a4f"><div class="ttname"><a href="structmcm__modem__info.html#a1bfc9ca217a1f7ff211f9cf2bea72a4f">mcm_modem_info::taclac</a></div><div class="ttdeci">char taclac[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:144</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a1f2b316c1888c57b23787361af56752e"><div class="ttname"><a href="structmcm__modem__info.html#a1f2b316c1888c57b23787361af56752e">mcm_modem_info::modem_version</a></div><div class="ttdeci">char modem_version[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:150</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a253299cd4ce7b8ca1820ea6fa28cbb9d"><div class="ttname"><a href="structmcm__modem__info.html#a253299cd4ce7b8ca1820ea6fa28cbb9d">mcm_modem_info::pin_retries</a></div><div class="ttdeci">int32_t pin_retries</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:145</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a43af76995a662081cfd4dcf84b3c3069"><div class="ttname"><a href="structmcm__modem__info.html#a43af76995a662081cfd4dcf84b3c3069">mcm_modem_info::sim_iccid</a></div><div class="ttdeci">char sim_iccid[32]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:142</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a516cdcb26f55816e6a760c168db7fae7"><div class="ttname"><a href="structmcm__modem__info.html#a516cdcb26f55816e6a760c168db7fae7">mcm_modem_info::modem_state</a></div><div class="ttdeci">int32_t modem_state</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:148</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a518e283b3db6a55a155696f519533d52"><div class="ttname"><a href="structmcm__modem__info.html#a518e283b3db6a55a155696f519533d52">mcm_modem_info::nr_rsrp</a></div><div class="ttdeci">int32_t nr_rsrp</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:155</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a5be7d34fa01685c6aaf929ed05245226"><div class="ttname"><a href="structmcm__modem__info.html#a5be7d34fa01685c6aaf929ed05245226">mcm_modem_info::network_rat</a></div><div class="ttdeci">char network_rat[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:140</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a5d12e7233fd54d1be30b3e4daf5bad00"><div class="ttname"><a href="structmcm__modem__info.html#a5d12e7233fd54d1be30b3e4daf5bad00">mcm_modem_info::lte_rsrp</a></div><div class="ttdeci">int32_t lte_rsrp</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:153</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a61679b42ca66eb3ce83c2215b484ce3b"><div class="ttname"><a href="structmcm__modem__info.html#a61679b42ca66eb3ce83c2215b484ce3b">mcm_modem_info::modem_name</a></div><div class="ttdeci">char modem_name[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:149</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a68f8bb73deb7804109ecc3226cc0f253"><div class="ttname"><a href="structmcm__modem__info.html#a68f8bb73deb7804109ecc3226cc0f253">mcm_modem_info::device_imei</a></div><div class="ttdeci">char device_imei[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:139</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a77d71118b5d930ca2f8b6a6a65d9ffda"><div class="ttname"><a href="structmcm__modem__info.html#a77d71118b5d930ca2f8b6a6a65d9ffda">mcm_modem_info::sim_slot</a></div><div class="ttdeci">uint32_t sim_slot</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:147</div></div>
<div class="ttc" id="astructmcm__modem__info_html_a9a93a0fff610bb61550adced4a086ff7"><div class="ttname"><a href="structmcm__modem__info.html#a9a93a0fff610bb61550adced4a086ff7">mcm_modem_info::nr_snr</a></div><div class="ttdeci">int32_t nr_snr</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:156</div></div>
<div class="ttc" id="astructmcm__modem__info_html_aa8068f0cee56b44687d574f34d313501"><div class="ttname"><a href="structmcm__modem__info.html#aa8068f0cee56b44687d574f34d313501">mcm_modem_info::umts_ecio</a></div><div class="ttdeci">int32_t umts_ecio</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:152</div></div>
<div class="ttc" id="astructmcm__modem__info_html_aad28ac10c9948b450f48f10b362fc450"><div class="ttname"><a href="structmcm__modem__info.html#aad28ac10c9948b450f48f10b362fc450">mcm_modem_info::umts_rssi</a></div><div class="ttdeci">int32_t umts_rssi</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:151</div></div>
<div class="ttc" id="astructmcm__modem__info_html_af459e1c64a5c79b5fd1beb4aa6c51361"><div class="ttname"><a href="structmcm__modem__info.html#af459e1c64a5c79b5fd1beb4aa6c51361">mcm_modem_info::sim_imsi</a></div><div class="ttdeci">char sim_imsi[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:143</div></div>
<div class="ttc" id="astructmcm__network__info_html"><div class="ttname"><a href="structmcm__network__info.html">mcm_network_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:72</div></div>
<div class="ttc" id="astructmcm__network__info_html_a249f6684e118b42c7967507e9746a48d"><div class="ttname"><a href="structmcm__network__info.html#a249f6684e118b42c7967507e9746a48d">mcm_network_info::name</a></div><div class="ttdeci">char name[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:75</div></div>
<div class="ttc" id="astructmcm__network__info_html_a33de69fdf8aa465daabf0c16124958e6"><div class="ttname"><a href="structmcm__network__info.html#a33de69fdf8aa465daabf0c16124958e6">mcm_network_info::err_reason</a></div><div class="ttdeci">char err_reason[200]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:82</div></div>
<div class="ttc" id="astructmcm__network__info_html_a4f978dd9876acda2c1d25fa1191d3505"><div class="ttname"><a href="structmcm__network__info.html#a4f978dd9876acda2c1d25fa1191d3505">mcm_network_info::device_type</a></div><div class="ttdeci">char device_type[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:76</div></div>
<div class="ttc" id="astructmcm__network__info_html_a632377fbe1f9ded216adf3dbd9145a45"><div class="ttname"><a href="structmcm__network__info.html#a632377fbe1f9ded216adf3dbd9145a45">mcm_network_info::ipv4_method</a></div><div class="ttdeci">char ipv4_method[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:79</div></div>
<div class="ttc" id="astructmcm__network__info_html_a7511185a2f1e9bcda5ce4517d06a2e12"><div class="ttname"><a href="structmcm__network__info.html#a7511185a2f1e9bcda5ce4517d06a2e12">mcm_network_info::mac_address</a></div><div class="ttdeci">char mac_address[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:81</div></div>
<div class="ttc" id="astructmcm__network__info_html_a7ab60becabbd7f70e7775875338d3ea0"><div class="ttname"><a href="structmcm__network__info.html#a7ab60becabbd7f70e7775875338d3ea0">mcm_network_info::wan_priority</a></div><div class="ttdeci">uint32_t wan_priority</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:74</div></div>
<div class="ttc" id="astructmcm__network__info_html_a8fad6727994d48c65035da33483fb35e"><div class="ttname"><a href="structmcm__network__info.html#a8fad6727994d48c65035da33483fb35e">mcm_network_info::enabled</a></div><div class="ttdeci">bool enabled</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:73</div></div>
<div class="ttc" id="astructmcm__network__info_html_aa23031d671bb905f72186fe8edc4a377"><div class="ttname"><a href="structmcm__network__info.html#aa23031d671bb905f72186fe8edc4a377">mcm_network_info::device_name</a></div><div class="ttdeci">char device_name[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:77</div></div>
<div class="ttc" id="astructmcm__network__info_html_aa3fe6ceda47f2ff6983dae7b071029f0"><div class="ttname"><a href="structmcm__network__info.html#aa3fe6ceda47f2ff6983dae7b071029f0">mcm_network_info::network_type</a></div><div class="ttdeci">char network_type[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:78</div></div>
<div class="ttc" id="astructmcm__network__info_html_acad52ce45f13aa0339eedc4be9580852"><div class="ttname"><a href="structmcm__network__info.html#acad52ce45f13aa0339eedc4be9580852">mcm_network_info::ipv6_method</a></div><div class="ttdeci">char ipv6_method[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:80</div></div>
<div class="ttc" id="astructmcm__network__status_html"><div class="ttname"><a href="structmcm__network__status.html">mcm_network_status</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:90</div></div>
<div class="ttc" id="astructmcm__network__status_html_a06b64b4d2114d6df25a6a06c030427a5"><div class="ttname"><a href="structmcm__network__status.html#a06b64b4d2114d6df25a6a06c030427a5">mcm_network_status::ipv4_dns</a></div><div class="ttdeci">char ipv4_dns[2][16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:95</div></div>
<div class="ttc" id="astructmcm__network__status_html_a1553cbed186cacfd0409340e64dd7c25"><div class="ttname"><a href="structmcm__network__status.html#a1553cbed186cacfd0409340e64dd7c25">mcm_network_status::ipv4_gateway</a></div><div class="ttdeci">char ipv4_gateway[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:94</div></div>
<div class="ttc" id="astructmcm__network__status_html_a18943dc3ad64e5acbe8e7bc6817b7e90"><div class="ttname"><a href="structmcm__network__status.html#a18943dc3ad64e5acbe8e7bc6817b7e90">mcm_network_status::ipv4_netmask</a></div><div class="ttdeci">char ipv4_netmask[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:93</div></div>
<div class="ttc" id="astructmcm__network__status_html_a1e07a23f6e2e446ef2c33d9d74ea6137"><div class="ttname"><a href="structmcm__network__status.html#a1e07a23f6e2e446ef2c33d9d74ea6137">mcm_network_status::ipv6_gateway</a></div><div class="ttdeci">char ipv6_gateway[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:98</div></div>
<div class="ttc" id="astructmcm__network__status_html_a4a655ad20866a05daacd4d2024b67a2e"><div class="ttname"><a href="structmcm__network__status.html#a4a655ad20866a05daacd4d2024b67a2e">mcm_network_status::ipv6_address</a></div><div class="ttdeci">char ipv6_address[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:96</div></div>
<div class="ttc" id="astructmcm__network__status_html_a5e5ba0dd94686af1f6279fe5edac1892"><div class="ttname"><a href="structmcm__network__status.html#a5e5ba0dd94686af1f6279fe5edac1892">mcm_network_status::ipv4_address</a></div><div class="ttdeci">char ipv4_address[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:92</div></div>
<div class="ttc" id="astructmcm__network__status_html_a90bfb32249407e20ecdc6861a34f46ab"><div class="ttname"><a href="structmcm__network__status.html#a90bfb32249407e20ecdc6861a34f46ab">mcm_network_status::ipv6_netmask</a></div><div class="ttdeci">char ipv6_netmask[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:97</div></div>
<div class="ttc" id="astructmcm__network__status_html_aa6089a02ca87959574e86467e3e7fecb"><div class="ttname"><a href="structmcm__network__status.html#aa6089a02ca87959574e86467e3e7fecb">mcm_network_status::default_route</a></div><div class="ttdeci">bool default_route</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:91</div></div>
<div class="ttc" id="astructmcm__network__status_html_aba6e95f01fc58cdc79394a1aec16d5c8"><div class="ttname"><a href="structmcm__network__status.html#aba6e95f01fc58cdc79394a1aec16d5c8">mcm_network_status::ipv6_dns</a></div><div class="ttdeci">char ipv6_dns[2][64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:99</div></div>
<div class="ttc" id="astructmcm__network__status_html_ae23b0791b194952a55a92820731a998d"><div class="ttname"><a href="structmcm__network__status.html#ae23b0791b194952a55a92820731a998d">mcm_network_status::connection_status</a></div><div class="ttdeci">uint32_t connection_status</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:100</div></div>
<div class="ttc" id="astructmcm__object__info_html"><div class="ttname"><a href="structmcm__object__info.html">mcm_object_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:28</div></div>
<div class="ttc" id="astructmcm__object__info_html_a71b958249adff7eae518d6479e6a866d"><div class="ttname"><a href="structmcm__object__info.html#a71b958249adff7eae518d6479e6a866d">mcm_object_info::device_type</a></div><div class="ttdeci">char * device_type</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:31</div></div>
<div class="ttc" id="astructmcm__object__info_html_a88cde4f12a226fd4d835a680e6dc9a7a"><div class="ttname"><a href="structmcm__object__info.html#a88cde4f12a226fd4d835a680e6dc9a7a">mcm_object_info::interface_name</a></div><div class="ttdeci">char * interface_name</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:29</div></div>
<div class="ttc" id="astructmcm__object__info_html_a8b6af08ddea0fb36aab47ee89b5f6c57"><div class="ttname"><a href="structmcm__object__info.html#a8b6af08ddea0fb36aab47ee89b5f6c57">mcm_object_info::device_name</a></div><div class="ttdeci">char * device_name</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:30</div></div>
<div class="ttc" id="astructmcm__object__info_html_ab5d6ca326317d7141a502fdb7c9f6085"><div class="ttname"><a href="structmcm__object__info.html#ab5d6ca326317d7141a502fdb7c9f6085">mcm_object_info::next</a></div><div class="ttdeci">struct mcm_object_info * next</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:32</div></div>
<div class="ttc" id="astructmcm__profiles_html"><div class="ttname"><a href="structmcm__profiles.html">mcm_profiles</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:178</div></div>
<div class="ttc" id="astructmcm__profiles_html_aab03bd9eba8df0e882aca57192b2f99d"><div class="ttname"><a href="structmcm__profiles.html#aab03bd9eba8df0e882aca57192b2f99d">mcm_profiles::profile_name</a></div><div class="ttdeci">char profile_name[32]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:179</div></div>
<div class="ttc" id="astructmcm__property__info__linked__list_html"><div class="ttname"><a href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:50</div></div>
<div class="ttc" id="astructmcm__property__info__linked__list_html_a374a88ad8e09b9f635e7df63507c9151"><div class="ttname"><a href="structmcm__property__info__linked__list.html#a374a88ad8e09b9f635e7df63507c9151">mcm_property_info_linked_list::propertyValue</a></div><div class="ttdeci">char * propertyValue</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:52</div></div>
<div class="ttc" id="astructmcm__property__info__linked__list_html_ab6cd4922fae976165ec15112ee8fd4e4"><div class="ttname"><a href="structmcm__property__info__linked__list.html#ab6cd4922fae976165ec15112ee8fd4e4">mcm_property_info_linked_list::next</a></div><div class="ttdeci">struct mcm_property_info_linked_list * next</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:53</div></div>
<div class="ttc" id="astructmcm__property__info__linked__list_html_adb99f617acca27b84563f55df4771ee5"><div class="ttname"><a href="structmcm__property__info__linked__list.html#adb99f617acca27b84563f55df4771ee5">mcm_property_info_linked_list::propertyName</a></div><div class="ttdeci">char * propertyName</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:51</div></div>
<div class="ttc" id="astructmcm__property__info_html"><div class="ttname"><a href="structmcm__property__info.html">mcm_property_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:40</div></div>
<div class="ttc" id="astructmcm__property__info_html_a4f894b1438de23d480b580c58338e2fb"><div class="ttname"><a href="structmcm__property__info.html#a4f894b1438de23d480b580c58338e2fb">mcm_property_info::propertyName</a></div><div class="ttdeci">char * propertyName</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:41</div></div>
<div class="ttc" id="astructmcm__property__info_html_a8c75a7be69b4c2ccf30135b066466a50"><div class="ttname"><a href="structmcm__property__info.html#a8c75a7be69b4c2ccf30135b066466a50">mcm_property_info::propertyValue</a></div><div class="ttdeci">char * propertyValue</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:42</div></div>
<div class="ttc" id="astructmcm__upgrade__info_html"><div class="ttname"><a href="structmcm__upgrade__info.html">mcm_upgrade_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:207</div></div>
<div class="ttc" id="astructmcm__upgrade__info_html_a3c745f5922345546ca94ee6c6613dfa9"><div class="ttname"><a href="structmcm__upgrade__info.html#a3c745f5922345546ca94ee6c6613dfa9">mcm_upgrade_info::state</a></div><div class="ttdeci">uint32_t state</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:208</div></div>
<div class="ttc" id="astructmcm__upgrade__info_html_a633a2cef9ded9ff0f4dde4e1523d5df8"><div class="ttname"><a href="structmcm__upgrade__info.html#a633a2cef9ded9ff0f4dde4e1523d5df8">mcm_upgrade_info::message</a></div><div class="ttdeci">char message[512]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:209</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html"><div class="ttname"><a href="structmcm__wifi__ap.html">mcm_wifi_ap</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:164</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_a0129252c298006d15b8110cac1e343fd"><div class="ttname"><a href="structmcm__wifi__ap.html#a0129252c298006d15b8110cac1e343fd">mcm_wifi_ap::signal_strength</a></div><div class="ttdeci">uint32_t signal_strength</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:168</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_a227e10e3aefa6508882654e931f1e93e"><div class="ttname"><a href="structmcm__wifi__ap.html#a227e10e3aefa6508882654e931f1e93e">mcm_wifi_ap::encryption_type</a></div><div class="ttdeci">char encryption_type[32]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:167</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_a2880357f0464e0838d0ca5ba03ebc4cf"><div class="ttname"><a href="structmcm__wifi__ap.html#a2880357f0464e0838d0ca5ba03ebc4cf">mcm_wifi_ap::frequency</a></div><div class="ttdeci">char frequency[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:169</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_a2e1a04f7389253ee1a17c2b76027b641"><div class="ttname"><a href="structmcm__wifi__ap.html#a2e1a04f7389253ee1a17c2b76027b641">mcm_wifi_ap::rssi</a></div><div class="ttdeci">int32_t rssi</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:170</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_ada54e13a310979ac1b9cc5a0e99eda1c"><div class="ttname"><a href="structmcm__wifi__ap.html#ada54e13a310979ac1b9cc5a0e99eda1c">mcm_wifi_ap::bssid</a></div><div class="ttdeci">char bssid[32]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:166</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html_af8e24790203a26af72faca89d5796eb3"><div class="ttname"><a href="structmcm__wifi__ap.html#af8e24790203a26af72faca89d5796eb3">mcm_wifi_ap::ssid</a></div><div class="ttdeci">char ssid[40]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:165</div></div>
<div class="ttc" id="astructmcm__wifi__info_html"><div class="ttname"><a href="structmcm__wifi__info.html">mcm_wifi_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:120</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a0dc265af3f01642016b6c2fea3f47b97"><div class="ttname"><a href="structmcm__wifi__info.html#a0dc265af3f01642016b6c2fea3f47b97">mcm_wifi_info::broadcast</a></div><div class="ttdeci">bool broadcast</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:129</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a2d5f29437ca14ce27bd3c90ca46938e7"><div class="ttname"><a href="structmcm__wifi__info.html#a2d5f29437ca14ce27bd3c90ca46938e7">mcm_wifi_info::ssid</a></div><div class="ttdeci">char ssid[40]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:125</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a4a8c8414c1cb3936442c91298a54cb83"><div class="ttname"><a href="structmcm__wifi__info.html#a4a8c8414c1cb3936442c91298a54cb83">mcm_wifi_info::channel</a></div><div class="ttdeci">uint32_t channel</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:128</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a616a41aa35e271b13dde8f2538873f17"><div class="ttname"><a href="structmcm__wifi__info.html#a616a41aa35e271b13dde8f2538873f17">mcm_wifi_info::frequency</a></div><div class="ttdeci">char frequency[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:123</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a955deb41eace0d3e7bc08b90e5187b5e"><div class="ttname"><a href="structmcm__wifi__info.html#a955deb41eace0d3e7bc08b90e5187b5e">mcm_wifi_info::hwmode</a></div><div class="ttdeci">char hwmode[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:122</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_a98f8506389f0e5da3b990656047404e4"><div class="ttname"><a href="structmcm__wifi__info.html#a98f8506389f0e5da3b990656047404e4">mcm_wifi_info::secure_mode</a></div><div class="ttdeci">char secure_mode[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:126</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_ac3d7ef6a7074b5af4e3b39318f4293d7"><div class="ttname"><a href="structmcm__wifi__info.html#ac3d7ef6a7074b5af4e3b39318f4293d7">mcm_wifi_info::signal</a></div><div class="ttdeci">char signal[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:127</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_ac8681eef57136344df55f2cfd40ead34"><div class="ttname"><a href="structmcm__wifi__info.html#ac8681eef57136344df55f2cfd40ead34">mcm_wifi_info::bssid</a></div><div class="ttdeci">char bssid[32]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:121</div></div>
<div class="ttc" id="astructmcm__wifi__info_html_af30a622f61d035104cb7486964cbebc7"><div class="ttname"><a href="structmcm__wifi__info.html#af30a622f61d035104cb7486964cbebc7">mcm_wifi_info::operation_mode</a></div><div class="ttdeci">char operation_mode[16]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:124</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mcm-base-info_8h.html">mcm-base-info.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
